{% extends 'base.html.j2' %}
{% block title %}Snapshot Query{% endblock %}
{% block main %}
    <h1 class="govuk-heading-xl">Snapshot Query</h1>
    <form action="/sqr1" method="get">
        <input type="hidden" name="step" value="source-url">
        <div class="govuk-form-group{% if validation_error %} govuk-form-group--error{% endif %}">
            <h1 class="govuk-label-wrapper">
                <label class="govuk-label govuk-label--l" for="source-url">
                    What is the source article's URL?
                </label>
            </h1>
            <div id="source-url-hint" class="govuk-hint">
                This is the URL of the article on the original publisher's website. It is not a snapshot URL (e.g.
                containing <code>storage.googleapis.com</code>).
            </div>
            {% if validation_error %}
            <div class="govuk-error-message">
                No snapshots could be found in the database for this source URL. Ensure that the URL has been entered
                correctly. If this is instead the URL for a snapshot, use the back link above and select
                <strong>No</strong>.
            </div>
            {% endif %}
            <input class="govuk-input" id="source-url" name="source-url" type="text" aria-describedby="source-url-hint" value="{{ request.form.get("source-url", "") }}">
        </div>
        <button type="submit" class="govuk-button" data-module="govuk-button">
            Continue
        </button>

    </form>
{% endblock %}